<!--
  - Pfarrplaner
  -
  - @package Pfarrplaner
  - @author Christoph Fischer <chris@toph.de>
  - @copyright (c) Christoph Fischer, https://christoph-fischer.org
  - @license https://www.gnu.org/licenses/gpl-3.0.txt GPL 3.0 or later
  - @link https://codeberg.org/pfarr.tools/pfarrplaner
  - @version git: $Id$
  -
  - Sponsored by: Evangelischer Kirchenbezirk Balingen, https://www.kirchenbezirk-balingen.de
  -
  - Pfarrplaner is based on the Laravel framework (https://laravel.com).
  - This file may contain code created by Laravel's scaffolding functions.
  -
  - This program is free software: you can redistribute it and/or modify
  - it under the terms of the GNU General Public License as published by
  - the Free Software Foundation, either version 3 of the License, or
  - (at your option) any later version.
  -
  - This program is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  - GNU General Public License for more details.
  -
  - You should have received a copy of the GNU General Public License
  - along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<template>
    <div class="row">
        <div class="col-1">
            <nav-button type="light btn-sm" icon="mdi mdi-content-copy" force-icon force-no-text
                        title="In die Zwischenablage kopieren"
                        @click="copyCode"/>
        </div>
        <div class="col-11">
            <code>{{ content }}</code>
            <div v-if="copied" class="text-muted text-sm">Inhalt wurde in die Zwischenablage kopiert.</div>
        </div>
    </div>
</template>

<script>
import NavButton from "./buttons/NavButton.vue";

export default {
    name: "CopyableCode",
    components: {NavButton},
    data() {
        return {
            copied: false,
        }
    },
    props: ['content'],
    methods: {
        copyCode() {
            const cb = navigator.clipboard;
            cb.writeText(this.content).then(result => {
                this.copied = true;
            });
        }
    }
}
</script>

<style scoped>

</style>
